#include<iostream>

using namespace std;

int main(){
    int n;
    cin >> n;
    long long l;
    cin >> l;
    long long h[n];
    for(int i=0; i<n; i++){
        cin >> h[i];
    }
    int brojac = 1;
    for(int i = 0; i<n; i++){
        if(l<h[i]){
            brojac++;
        }
        else{
            brojac = i+1;
            cout << brojac;
            return 0;
        }
    }
    cout << -1;



    return 0;
}